if (typeof TheScheduler == 'undefined') {
    var TheScheduler = {};
}

TheScheduler.namespace = function (namespace) {

    var parts = namespace.split('.');
    var parent = TheScheduler;

    if (parts[0] === "TheScheduler") {
        parts = parts.slice(1);
    }

    for (var i = 0; i < parts.length; i += 1) {

        if (typeof parent[parts[i]] === "undefined") {
            parent[parts[i]] = {};
        }

        parent = parent[parts[i]];
    }

    return parent;
};

TheScheduler.goBack = function () {
    window.history.back();
}