TheScheduler.namespace("TheScheduler.Utils.Common");

TheScheduler.Utils.Common = (function () {
    var toggleElement = function (valueElementId, toggleElementId) {
        if (AJS.$('#' + valueElementId).val()) {
            return AJS.$('#' + toggleElementId).show();
        } else {
            return AJS.$('#' + toggleElementId).hide();
        }
    };
    var showLimitReachedFlag = function (messages) {
        AJS.flag({
            type: 'warning',
            title: AJS.I18n.getText('pl.com.tt.thescheduler.actions.warn'),
            body: messages.join(". "),
            close: 'auto'
        });
    };
    return {
        "toggleElement": toggleElement,
        "showLimitReachedFlag": showLimitReachedFlag,
    }
})();
