/**
 * Created by gilewskib on 2017-08-03.
 */
TheScheduler.namespace("TheScheduler.Utils.Notification");

TheScheduler.Utils.Notification = (function () {
    var showNotification = function(type, title, body, location) {
        location = location || '#aui-message-bar';
        if(!AJS.$(location).length) {
            throw new Error("Cannot find element with selector: " + location);
        }
        if(AJS.flag === undefined) {
            if(type == 'info') {
                AJS.messages.info(location, {
                    title: title,
                    body: body,
                    fadeout: true
                })
            } else if(type == 'success') {
                AJS.messages.success(location, {
                    title: title,
                    body: body,
                    fadeout: true
                })
            } else if(type == 'warning') {
                AJS.messages.warning(location, {
                    title: title,
                    body: body,
                    fadeout: true
                })
            } else if(type == 'error') {
            AJS.messages.error(location, {
                title: title,
                body: body,
                fadeout: true
            })
        }
        } else {
            if(type == 'info') {
                AJS.flag({
                    type: 'info',
                    title: title,
                    body: body,
                    close: 'auto'
                })
            } else if(type == 'success') {
                AJS.flag({
                    type: 'success',
                    title: title,
                    body: body,
                    close: 'auto'
                })
            } else if(type == 'warning') {
                AJS.flag({
                    type: 'warning',
                    title: title,
                    body: body,
                    close: 'auto'
                })
            } else if(type == 'error') {
                AJS.flag({
                    type: 'error',
                    title: title,
                    body: body,
                    close: 'auto'
                })
            }
        }
    };

    return {
        "showNotification": showNotification
    }
})();
