AJS.toInit(function () {
    AJS.$(document).on('click', '#schedule-issue-link', function (event) {
        event.preventDefault();
        event.stopPropagation();
        var ajaxRequest = jQueryTS.ajax({
            "type": 'GET',
            "url": AJS.contextPath() + '/rest/thescheduler/1.0/validations/license',
            "async": true,
        });
        ajaxRequest.done(function (response) {
            response.valid ? window.location.href = event.currentTarget.href : showLicenseError();
        });
    });

    function showLicenseError() {
        var ErrorDialog = TheScheduler.namespace('TheScheduler.View.ErrorDialog');
        var errorDialog = new ErrorDialog(AJS.I18n.getText('pl.com.tt.thescheduler.errors.license'), AJS.I18n.getText('pl.com.tt.thescheduler.errors.license.disabled-feature'));
        errorDialog.show();
    }
});

